## org.eclipse.datatools.connectivity.db.generic.ui
Class GenericDBProfilePropertyPage

    java.lang.Object
      PropertyPage
          org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
              org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage
                  org.eclipse.datatools.connectivity.db.generic.ui.GenericDBProfilePropertyPage

public class GenericDBProfilePropertyPage
extends ProfileDetailsPropertyPage

This class allows the user to edit connection properties for the generic DB connection profile.

Author:
  ledunnel
See Also:
  Serialized Form

Constructor Summary
`GenericDBProfilePropertyPage()`

Method Summary
`IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getDriverCategory()`
`java.lang.String` `getDriverURL()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`
`boolean` `isValid()`
`void` `setDriverCategory(java.lang.String driverCategory)` Sets the driver category that should be used for displaying available driver defnitions.
`void` `setErrorMessage(java.lang.String newMessage)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
`dispose, performOk`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericDBProfilePropertyPage

    public GenericDBProfilePropertyPage()

Method Detail

### getDriverURL

    public java.lang.String getDriverURL()

  Returns:

### isValid

    public boolean isValid()

### setErrorMessage

    public void setErrorMessage(java.lang.String newMessage)

### getDriverCategory

    public java.lang.String getDriverCategory()

### setDriverCategory

    public void setDriverCategory(java.lang.String driverCategory)

  Sets the driver category that should be used for displaying available driver defnitions.

  Parameters:
    `driverCategory` -

### getContext

    public IContext getContext(java.lang.Object target)

### getContextChangeMask

    public int getContextChangeMask()

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.